Update destination

This API updates the specified message destination.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
	"destination": {
		"body": "Message update",
		"message_template_id": "TestTemplateId",
		"deliver_to": "[email protected]",
		"title": "Hello Ayla User",
		"contact_id": null,
		"provider": "smtp",
    "repeat_freq": 30,
		"user_message": "Hello Ayla User",
		"user_name": "Tom",
		"type": "email"
	}
}
{
  "destination": {
    "type": "sms",
    "body": "Leak detector battery is low.",
    "country_code": "+91",
    "deliver_to": "9100008888",
    "repeat_freq": 30,
    "provider": "twilio"
  }
}
{
	"destination": {
		"app_id": "app_XXXXX_0-sA-id",
		"body": "Leak detector battery is low.",
		"deliver_to": "18610E3F420EA0BAXXXXXXXXXXXXXXXXXXXXXXX0FC9A529FF48C2ADE28EC892",
		"meta_data": "{\"metadata\":\"push meta data\",\"attributes.fcm\":{\"priority\":\"normal\",\"ttl\":20}}",
		"provider": "fcm",
		"repeat_freq": 30,
		"sound": "chime",
		"title": "Auro-App Notification",
		"type": "push"
	}
}
{
    "destination": {
        "app_id": "app_XXXXX_01-sA-id",
        "body": "Leak detector battery is low.",
        "deliver_to": "18610E3F420EAXXXXXXXXXXXXXXXXXXXXXXX0FC9A529FF48C2ADE28EC892",
        "meta_data": "{\"metadata\":\"push metadata\",\"attributes.apns\":{\"priority\":10,\"ttl\":501}}",
        "provider": "apns",
        "repeat_freq": 30,
        "sound": "chime",
        "title": "Auro-App Notification",
        "type": "push"
    }
}
Path Params
string
required

Unique destination identifier.

Body Params
json

Request body.

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

422

Unprocessable Entity

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json